
Foreman - Bug #14028

Routing errors due to missing graphics/fonts on navigating smart-proxy page

03/02/2016 02:16 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Web Interface   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1313806 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3273,

https://github.com/theforeman/foreman/p

ull/3375

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1313806

Description of problem: On navigating the smart-proxy page, production.log filled with following routing errors:

2016-03-02 12:34:01 [app] [I] Started GET "/assets/fonts/bootstrap/glyphicons-halflings-regular.woff" for 10.65.193.200 at

2016-03-02 12:34:01 +0100

2016-03-02 12:34:01 [app] [F]   | ActionController::RoutingError (No route matches [GET]

"/assets/fonts/bootstrap/glyphicons-halflings-regular.woff"):  |   actionpack (4.1.5)

lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'  |   actionpack (4.1.5)

lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'

2016-03-02 12:34:01 [app] [I] Started GET "/assets/sort_asc.png" for 10.65.193.200 at 2016-03-02 12:34:01 +0100

2016-03-02 12:34:01 [app] [F]   | ActionController::RoutingError (No route matches [GET] "/assets/sort_asc.png"):  |   actionpack

(4.1.5) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'  |   actionpack (4.1.5)

lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'  |   railties (4.1.5) lib/rails/rack/logger.rb:38:in `call_app'

2016-03-02 12:34:01 [app] [I] Started GET "/assets/sort_both.png" for 10.65.193.200 at 2016-03-02 12:34:01 +0100

2016-03-02 12:34:01 [app] [F]   | ActionController::RoutingError (No route matches [GET] "/assets/sort_both.png"):  |   actionpack

(4.1.5) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'  |   actionpack (4.1.5)

lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'  |   railties (4.1.5) lib/rails/rack/logger.rb:38:in `call_app'

2016-03-02 12:34:01 [app] [I] Started GET "/assets/fonts/bootstrap/glyphicons-halflings-regular.ttf" for 10.65.193.200 at 2016-03-02

12:34:01 +0100

2016-03-02 12:34:01 [app] [F]   | ActionController::RoutingError (No route matches [GET]

"/assets/fonts/bootstrap/glyphicons-halflings-regular.ttf"):  |   actionpack (4.1.5)

lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'  |   actionpack (4.1.5)

lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'

Version-Release number of selected component (if applicable):

Satellite 6.2 snap1

How reproducible:

always

Steps to Reproduce:

1. Navigate to Infrastructure -> smart-proxies ->select default proxy

2.

3.

Actual results:

routing errors due to missing graphics and images

Expected results:

on navigating 'smart-proxies' no error should be thrown in production.log
Additional info:

Related issues:

Related to Foreman - Feature #7230: Upgrade Ruby on Rails to 4.1 Closed 08/22/2014

Related to Foreman - Bug #14393: Missing icons on smart_proxy/show page Closed 03/30/2016

Associated revisions

Revision 3ae0173e - 03/03/2016 06:14 AM - Dominic Cleal

fixes #14028 - use image-url for data table asset URLs

Revision 898bb442 - 03/10/2016 10:56 AM - Dominic Cleal

fixes #14028 - use image-url for data table asset URLs

(cherry picked from commit 3ae0173ec97a4688d6d67928e3b72bbfe208b91e)

History

#1 - 03/03/2016 03:29 AM - Dominic Cleal

- Related to Feature #7230: Upgrade Ruby on Rails to 4.1 added

#2 - 03/03/2016 03:31 AM - Dominic Cleal

- Category set to Web Interface

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

- translation missing: en.field_release set to 71

Can't reproduce the font error, that's unlikely to be from Foreman itself.

#3 - 03/03/2016 03:31 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3273 added

#4 - 03/03/2016 07:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3ae0173ec97a4688d6d67928e3b72bbfe208b91e.

#5 - 03/30/2016 05:03 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3375 added

#6 - 03/31/2016 01:47 AM - Ondřej Pražák

- Related to Bug #14393: Missing icons on smart_proxy/show page added
